Skip to main content
GET
/
data-connectors
/
{id}
/
source-metadata
Look up source metadata for a connector URI
curl --request GET \
  --url https://api.cloudglue.dev/v1/data-connectors/{id}/source-metadata \
  --header 'Authorization: Bearer <token>'
{
  "source_metadata": {
    "grain_recording_id": "<string>",
    "title": "<string>",
    "start_datetime": "2023-11-07T05:31:56Z",
    "end_datetime": "2023-11-07T05:31:56Z",
    "duration_ms": 123,
    "grain_url": "<string>",
    "tags": [
      "<string>"
    ],
    "teams": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "thumbnail_url": "<string>",
    "meeting_type": {
      "id": "<string>",
      "name": "<string>",
      "scope": "<string>"
    },
    "participants": [
      {
        "id": "<string>",
        "name": "<string>",
        "email": "<string>",
        "confirmed_attendee": true,
        "hs_contact_id": "<string>"
      }
    ],
    "highlights": [
      {}
    ],
    "ai_summary": {
      "text": "<string>"
    },
    "ai_action_items": [
      {
        "timestamp_ms": 123,
        "text": "<string>",
        "assignee": {
          "id": "<string>",
          "name": "<string>",
          "user_id": "<string>"
        }
      }
    ],
    "ai_template_sections": [
      {}
    ],
    "calendar_event": {
      "ical_uid": "<string>"
    },
    "hubspot": {
      "hubspot_company_ids": [
        "<string>"
      ],
      "hubspot_deal_ids": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the data connector

Query Parameters

url
string
required

Connector URI to look up. Must match the connector's type.

Response

Source metadata for the URI

object
enum<string>
required
Available options:
source_metadata
source_metadata
object
required

Per-source provenance captured from the upstream connector. Currently only Grain is populated.